Page MenuHomePhabricator

[Usability] Convert the pop-over suggestions list to be an embedded search widget in the link inspector
Closed, ResolvedPublic8 Story Points

Description

Move to a search widget instead of auto suggest widget in link inspector

Event Timeline

Nirzar created this task.Jun 2 2015, 9:05 PM
Nirzar raised the priority of this task from to Needs Triage.
Nirzar updated the task description. (Show Details)
Nirzar added subscribers: Aklapper, Nirzar.
Jdforrester-WMF triaged this task as High priority.Jun 3 2015, 5:42 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF renamed this task from [Usability] convert the auto suggest widget to search widget in link inspector to [Usability] Convert the pop-over suggestions list to be an embedded search widget in the link inspector.Jun 16 2015, 8:06 PM
Jdforrester-WMF edited a custom field.

We need to check how this looks where the screen is a little smaller, and there are 5 results. We actually can get more than 5 results when there are redirects. Is the idea that the dialog resizes as the results change?

If we consider the height of this dialog to be max 400px which should be fit on smallest screen with enough article padding around it, we can fit 4 and a half list items in this. and if we have cut of at half of last list item, it suggests that the list is scrollable internally.

We need some more views with different results sets. How does this look with 0,1,2,3,4,5 search results? Do we leave whitespace or expand the dialog? What if we expand off the bottom of the screen?

Change 241143 had a related patch set uploaded (by Esanders):
LinkAnnotationWidget: Abstract .text property to getInputWidget

https://gerrit.wikimedia.org/r/241143

Change 241228 had a related patch set uploaded (by Esanders):
mediawiki.widgets: Create TitleSearchWidget

https://gerrit.wikimedia.org/r/241228

Change 241229 had a related patch set uploaded (by Esanders):
MWLinkAnnotationInspector: Use TitleSearchWidget instead of TitleInputWidget

https://gerrit.wikimedia.org/r/241229

Change 241143 merged by jenkins-bot:
[BREAKING CHANGE] LinkAnnotationWidget: Abstract .text property to getTextInputWidget

https://gerrit.wikimedia.org/r/241143

Change 241228 merged by jenkins-bot:
mediawiki.widgets: Create TitleSearchWidget

https://gerrit.wikimedia.org/r/241228

Change 241229 merged by jenkins-bot:
MWLinkAnnotationInspector: Use TitleSearchWidget instead of TitleInputWidget

https://gerrit.wikimedia.org/r/241229